library(stockassessment) 
setwd("run")
load("data.RData")

conf<-defcon(dat)

conf$fbarRange <- c(2,4)
conf$corFlag<-2 

conf$keyLogFsta[1,] <- 0:5

conf$keyLogFpar[2,] <- c(0:4,-1)
conf$keyLogFpar[3,] <- c(5:8,-1,-1)

conf$keyVarF[1,] <- c(0,    1,    1,    1,    1,    1)

conf$keyVarLogN <- c(0, 1, 1, 1, 1, 1)

conf$keyVarObs[1,] <- c(0,1,2,2,2,2)
conf$keyVarObs[2,] <- c(3,4,4,4,4,-1)
conf$keyVarObs[3,] <- c(5,6,6,6,-1,-1)

conf$noScaledYears <- 13

conf$keyScaledYears <- c(1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005)

conf$keyParScaledYA<-rbind(
 c(0,    0,    0,    0,    0,    0),
 c(1,    1,    1,    1,    1,    1),
 c(2,    2,    2,    2,    2,    2),
 c(3,    3,    3,    3,    3,    3),
 c(4,    4,    4,    4,    4,    4),
 c(5,    5,    5,    5,    5,    5),
 c(6,    6,    6,    6,    6,    6),
 c(7,    7,    7,    7,    7,    7),
 c(8,    8,    8,    8,    8,    8),
 c(9,    9,    9,    9,    9,    9),
 c(10, 10 ,  10 ,  10  , 10 ,  10),
 c(11,  11,   11,   11 ,  11,   11),
 c(12,   12,   12,   12,   12,   12))

par<-defpar(dat,conf)

fit<-sam.fit(dat,conf,par)  

 
save(fit, file="model.RData")
